INTERFACE
SUBROUTINE CPLEDNA(KN,KODD,PFN,PX,PDX,KFLAG,PW,PXN,PDXN,PXMOD)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KN
INTEGER(KIND=JPIM),INTENT(IN) :: KODD
REAL(KIND=JPRB),INTENT(IN) :: PFN(0:KN/2)
REAL(KIND=JPRB),INTENT(IN) :: PX
REAL(KIND=JPRB),INTENT(IN) :: PDX
INTEGER(KIND=JPIM),INTENT(IN) :: KFLAG
REAL(KIND=JPRB),INTENT(OUT) :: PW
REAL(KIND=JPRB),INTENT(OUT) :: PXN
REAL(KIND=JPRB),INTENT(OUT) :: PDXN
REAL(KIND=JPRB),INTENT(OUT) :: PXMOD
INTEGER(KIND=JPIM), PARAMETER :: JPKS=KIND(PX)
INTEGER(KIND=JPIM), PARAMETER :: JPKD=KIND(PDX)
END SUBROUTINE CPLEDNA
END INTERFACE
